const stateData = {
  pickedList: [],
  fileHash: '',
  fileName: '',
  file: undefined as undefined | File,
}

export type AppType = typeof stateData
export const create = {
  namespaced: true,
  state: () => ({
    ...stateData,
  }),
  mutations: {
    SET_STATE(state: AppType, payload: any) {
      Object.assign(state, payload)
    },
  },
  actions: {},
  getters: {},
}
